Debian Bug report logs - #646502
sipcalc: FTBFS: sub-output.c:142:4: error: format not a string literal and no format arguments [-Werror=format-security]

version graph

Package: src:sipcalc; Maintainer for src:sipcalc is Marc Haber <mh+debian-packages@zugschlus.de>;

Reported by: Mònica Ramírez Arceda <monica@probeta.net>

Date: Mon, 24 Oct 2011 15:39:23 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version sipcalc/1.1.4-2

Fixed in version sipcalc/1.1.4-2.1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adriaan Peeters <apeeters@lashout.net>:
Bug#646502; Package src:sipcalc. (Mon, 24 Oct 2011 15:39:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
New Bug report received and forwarded. Copy sent to Adriaan Peeters <apeeters@lashout.net>. (Mon, 24 Oct 2011 15:39:27 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: submit@bugs.debian.org
Subject: sipcalc: FTBFS: sub-output.c:142:4: error: format not a string literal and no format arguments [-Werror=format-security]
Date: Mon, 24 Oct 2011 13:16:42 +0200
Source: sipcalc
Version: 1.1.4-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20111022 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../include    -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -I/usr/local/include -c sub-output.c
> sub-output.c: In function 'show_split_networks_v4':
> sub-output.c:142:4: error: format not a string literal and no format arguments [-Werror=format-security]
> sub-output.c:142:4: error: format not a string literal and no format arguments [-Werror=format-security]
> cc1: some warnings being treated as errors
> 
> make[3]: *** [sub-output.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/10/22/sipcalc_1.1.4-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Adriaan Peeters <apeeters@lashout.net>:
Bug#646502; Package src:sipcalc. (Sat, 03 Dec 2011 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero Lopez <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Adriaan Peeters <apeeters@lashout.net>. (Sat, 03 Dec 2011 22:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 646502@bugs.debian.org (full text, mbox):

From: Ana Guerrero Lopez <ana@debian.org>
To: 646502@bugs.debian.org
Subject: sipcalc: diff for NMU version 1.1.4-2.1
Date: Sat, 3 Dec 2011 23:45:51 +0100
[Message part 1 (text/plain, inline)]
tags 646502 + patch
tags 646502 + pending
thanks

Dear maintainer,

I've prepared an NMU for sipcalc (versioned as 1.1.4-2.1) and
uploaded it. Please find attached the diff.

Regards,
Ana
[sipcalc-1.1.4-2.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Ana Guerrero Lopez <ana@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 22:48:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ana Guerrero Lopez <ana@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 22:48:06 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. (Sat, 03 Dec 2011 23:09:05 GMT) Full text and rfc822 format available.

Notification sent to Mònica Ramírez Arceda <monica@probeta.net>:
Bug acknowledged by developer. (Sat, 03 Dec 2011 23:09:05 GMT) Full text and rfc822 format available.

Message #19 received at 646502-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 646502-close@bugs.debian.org
Subject: Bug#646502: fixed in sipcalc 1.1.4-2.1
Date: Sat, 03 Dec 2011 23:06:32 +0000
Source: sipcalc
Source-Version: 1.1.4-2.1

We believe that the bug you reported is fixed in the latest version of
sipcalc, which is due to be installed in the Debian FTP archive:

sipcalc_1.1.4-2.1.diff.gz
  to main/s/sipcalc/sipcalc_1.1.4-2.1.diff.gz
sipcalc_1.1.4-2.1.dsc
  to main/s/sipcalc/sipcalc_1.1.4-2.1.dsc
sipcalc_1.1.4-2.1_amd64.deb
  to main/s/sipcalc/sipcalc_1.1.4-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646502@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated sipcalc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 03 Dec 2011 23:32:54 +0100
Source: sipcalc
Binary: sipcalc
Architecture: source amd64
Version: 1.1.4-2.1
Distribution: unstable
Urgency: low
Maintainer: Adriaan Peeters <apeeters@lashout.net>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 sipcalc    - Advanced console-based ip subnet calculator
Closes: 646502
Changes: 
 sipcalc (1.1.4-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with flag -Werror=format-security. (Closes: #646502)
Checksums-Sha1: 
 d818f7d8a86e65cb84edb37f96a3bc130965096f 1747 sipcalc_1.1.4-2.1.dsc
 3bb4774a6f6c43be0e2abcced8eebe1d7b194072 13493 sipcalc_1.1.4-2.1.diff.gz
 95b6d5951d2283da612aa112b7420ce3c3bdd11b 34308 sipcalc_1.1.4-2.1_amd64.deb
Checksums-Sha256: 
 96a7c73e46ee4e3d405b3d67e2da98cd3f1a1688bd97ef44519da25381bd33f6 1747 sipcalc_1.1.4-2.1.dsc
 ae74192fecd259261697ded209bd5707593d3b43a5682d8533bfc4bf8f4b8f3b 13493 sipcalc_1.1.4-2.1.diff.gz
 0fda75cb336bfcc58b167f46965f0ad3e3708527ef643f6426be65a5488302e9 34308 sipcalc_1.1.4-2.1_amd64.deb
Files: 
 65fd76936cdef8d1bf8c7d16d9afffa6 1747 net optional sipcalc_1.1.4-2.1.dsc
 58b5dc1fd45c5335ca9030a6fb3c1dd9 13493 net optional sipcalc_1.1.4-2.1.diff.gz
 a6e17c1923ee86dad7295dad6aa73956 34308 net optional sipcalc_1.1.4-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJO2qbZAAoJELNGT4lqoVlIK7kQAKfKQPixQ6r6nscZjw9Pv43C
UZ1rAUIjLIB+d84KgpWnk2joZdvNFFOQmAcz/xzvfnyXEX1hr5YRuLPaCRpfw6Ql
W3uvFQW/4W+kldHJ6e+VN3cG7QjSBzWl1RLALtVQB6JyZGtxq+s76QMY/TWBRX5l
948aFWZUefR3jZGh48AG/OAe/MJCOVRAT62b8yUFeh2l5nqZWdLWLWZs9rjm9qBE
I0v21Gts6jUlhgDgsg4ozGn3gI6aD7Z1+76ekmwZHuOhTAYiS0tkpM00IfGeXJUT
+IlHajSrDk5q7Eyhx+AaNvgXfQCw/lmVdVeCs8bY+vcmPlo+Nf1kC8VU9LpCCXfm
aRxfTBrbQUL1zTSrCg1lyTrX9YZBMvFsJxFvlpbdyhaY1CfrNKE4NuyiVRcA9BBC
EzhKu32kYKKcvwd919VEB/eqyHPbYHrWYI3NJRcFMUWRYcYnlI9X6Eypz5MLJSJq
UQ6+r7RIFC3JNqisX/fY9EbjbP6SiaCMoV4iCPKk2drtYI4bVNipT1KVEN+ulqvm
TmnKWUQyC1ZN/kdP5+xe16CMdQSYLUPTTDwxjmPCLc6yNoSgsuFYogaj/V8vpjRm
ahbgH1tDi7xQbmJcZaJh9MUryb5w0Tgr4coIvs+fTZHCoEGGb8Tegh+wuch00vpB
WWR07ufuOJK+YXWvVQA9
=sa34
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:36:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:22:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.